local key = vim.api.nvim_set_keymap
local u = require('utils')

vim.cmd([[autocmd bufenter * if (winnr("$") == 1 && exists("b:NERDTree") && b:NERDTree.isTabTree()) | q | endif]])
vim.cmd([[autocmd BufNewFile,BufRead *.md setlocal filetype=notes]])
vim.cmd([[autocmd CursorHold * lua vim.lsp.diagnostic.show_line_diagnostics({focusable = false})]])

key('n', ';', ':Files<CR>', {})
key('', '<C-n>', ':NERDTreeToggle<CR>', {})

key('i', '<TAB>', 'pumvisible() ? "<C-n>" : "<Tab>"', {expr = true, silent = true})
key('i', '<S-TAB>', 'pumvisible() ? "<C-p>" : "<S-Tab>"', {expr = true, silent = true})

-- Highlight on yank
vim.api.nvim_exec(
  [[
  augroup YankHighlight
    autocmd!
    autocmd TextYankPost * silent! lua vim.highlight.on_yank()
  augroup end
]],
  false
)

